package org.dromara.project.domain.enums;

import lombok.Getter;

/**
 * @author lcj
 * @date 2025/4/7 15:38
 */
@Getter
public enum BusAttendanceStatusEnum {

    NORMAL("全天考勤正常", "1"),
    ERROR("当天存在异常迟到、早退、缺卡", "2"),
    REISSUE("当天提交过补卡申请", "3"),
    LEAVE("当天请假", "4");

    private final String text;

    private final String value;

    BusAttendanceStatusEnum(String text, String value) {
        this.text = text;
        this.value = value;
    }

}
